org.apache.ignite.internal.pagemem.wal.record

## Class IncrementalSnapshotFinishRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.IncrementalSnapshotFinishRecord

    public class IncrementalSnapshotFinishRecord
    extends WALRecord

This record is written to WAL after incremental snapshot finished on a baseline node.

During recovery node must apply:

- 1. Transactions committed before `IncrementalSnapshotStartRecord` except those contained in `excluded()`.
- 2. Transactions committed between `IncrementalSnapshotStartRecord` and `IncrementalSnapshotFinishRecord` and contained in `included()`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`IncrementalSnapshotFinishRecord(UUID id, Set<GridCacheVersion> included, Set<GridCacheVersion> excluded)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `dataSize()` Calculating the size of the record.
`Set<GridCacheVersion>` `excluded()`
`UUID` `id()`
`Set<GridCacheVersion>` `included()`
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncrementalSnapshotFinishRecord

    public IncrementalSnapshotFinishRecord(UUID id,
                                           Set<GridCacheVersion> included,
                                           Set<GridCacheVersion> excluded)

### Method Detail

#### included

    public Set<GridCacheVersion> included()

#### excluded

    public Set<GridCacheVersion> excluded()

#### id

    public UUID id()

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### dataSize

    public int dataSize()

Calculating the size of the record.

Returns:
  Size in bytes.

#### toString

    public String toString()

Overrides:
  `toString` in class `WALRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023